"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WordIdGeneratorImpl = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const crypto = tslib_1.__importStar(require("crypto"));
let WordIdGeneratorImpl = class WordIdGeneratorImpl {
    generate(word) {
        return crypto.createHash("md5").update(word, "utf-8").digest("hex");
    }
};
WordIdGeneratorImpl = tslib_1.__decorate([
    (0, inversify_1.injectable)()
], WordIdGeneratorImpl);
exports.WordIdGeneratorImpl = WordIdGeneratorImpl;
