"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClozeCardExporterImpl = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
let ClozeCardExporterImpl = class ClozeCardExporterImpl {
    WORD_REGEX = /\{\{(.+?)\}\}/g;
    export(apkg, clozeCardContent) {
        const cardContent = clozeCardContent.slice(6);
        const front = cardContent.replace(this.WORD_REGEX, "<span style=\"color: blue\">[...]</span>");
        let back = cardContent;
        const replacements = cardContent.match(this.WORD_REGEX);
        for (const replacement of replacements) {
            const content = `<span style=\"color: blue\">${replacement.slice(2, -2)}</span>`;
            back = back.replace(replacement, content);
        }
        apkg.addCard(`<div style="text-align: left">${front}</div>`, `<div style="text-align: left">${back}</div>`);
    }
};
ClozeCardExporterImpl = tslib_1.__decorate([
    (0, inversify_1.injectable)()
], ClozeCardExporterImpl);
exports.ClozeCardExporterImpl = ClozeCardExporterImpl;
